> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Update published branding

> Updates the company info and call-to-action branding stored on a project's published portal.

Requires the caller to be the project owner or have workspace edit permission.



## OpenAPI

````yaml put /published/{projectId}/branding
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /published/{projectId}/branding:
    put:
      tags:
        - Published
      summary: Update published branding
      description: >-
        Updates the company info and call-to-action branding stored on a
        project's published portal.


        Requires the caller to be the project owner or have workspace edit
        permission.
      operationId: updatePublishedBranding
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: projectId
          in: path
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                companyBranding:
                  type: object
                  properties:
                    name:
                      type: string
                    logo:
                      type: string
                    url:
                      type: string
                ctaBranding:
                  type: object
                  properties:
                    icon:
                      type: object
                      properties:
                        name:
                          type: string
                        color:
                          type: string
                      required:
                        - name
                        - color
                    text:
                      type: string
                    url:
                      type: string
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: boolean
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '404':
          description: 404 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````